version: '3'

tasks:

  default:
    desc: "Main task all"
    deps:
      - html
      - webserver
      - publish

  html:
    desc: "Generate HTML in the website directory"
    dir: ../bjack
    cmds:
      - make html
      #- echo `pwd`

  webserver:
    desc: "Install NGINX"
    cmds:
      - ansible-playbook -i inventory.ini nginx.yaml

  publish:
    desc: "Publish HTML"
    cmds:
      - ansible-playbook -i inventory.ini publish.yaml